# Weblate [![build status](https://secure.travis-ci.org/nijel/weblate.png)](https://travis-ci.org/nijel/weblate)

Weblate is web based translation tool with tight Git integration. It features
simple and clean user interface, propagation of translations across subprojects
or automatic linking to source files.

Weblate has it's website at http://weblate.org/.

## Features

* Easy web based translation
* Propagation of translations across sub-projects (for different branches)
* Tight git integration - every change is represented by Git commit
* Usage of Django's admin interface
* Upload and automatic merging of po files
* Links to source files for context
* Message quality checks
* Tunable access control
* Wide range of supported translation formats (Gettext, Qt, Java, Windows, Symbian and more)

## Documentation

Detailed documentation is available in **docs** directory in the sources.

The documentation can be also viewed online on
http://weblate.readthedocs.org/.

## Installation

Installation and setup instructions are provided in our manual, check
quick setup guide:

http://weblate.readthedocs.org/en/latest/quick.html

## Bugs

Please report bugs to https://github.com/nijel/weblate/issues.

## License

Copyright (C) 2012 - 2013 Michal Čihař michal@cihar.com

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see http://www.gnu.org/licenses/.
